--- -*- coding:utf-8; mode:sql; eval:(sql-highlight-sqlite-keywords); -*-


--- Copyright (c) 2014 Moritz Klammler
---
--- Permission is  hereby granted, free  of charge,  to any person  obtaining a
--- copy of this software and  associated documentation files (the "Software"),
--- to deal in  the Software without restriction,  including without limitation
--- the rights  to use, copy,  modify, merge, publish,  distribute, sublicense,
--- and/or  sell copies  of the  Software, and  to permit  persons to  whom the
--- Software is furnished to do so, subject to the following conditions:
---
--- The above copyright notice and this  permission notice shall be included in
--- all copies or substantial portions of the Software.
---
--- THE SOFTWARE IS PROVIDED "AS IS",  WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
--- IMPLIED, INCLUDING  BUT NOT LIMITED  TO THE WARRANTIES  OF MERCHANTABILITY,
--- FITNESS FOR  A PARTICULAR PURPOSE  AND NONINFRINGEMENT.  IN NO  EVENT SHALL
--- THE AUTHORS OR COPYRIGHT HOLDERS BE  LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
--- LIABILITY, WHETHER  IN AN  ACTION OF CONTRACT,  TORT OR  OTHERWISE, ARISING
--- FROM,  OUT OF  OR IN  CONNECTION  WITH THE  SOFTWARE  OR THE  USE OR  OTHER
--- DEALINGS IN THE SOFTWARE.


.mode tabs
.headers off

CREATE TEMPORARY VIEW Averages120 AS
    SELECT problem_id, algorithm, avg(rel_residual) AS avg_rel_res
        FROM Solvings
            WHERE machine = 'i10pc120.iti.kit.edu'
        GROUP BY problem_id, algorithm;

CREATE TEMPORARY VIEW Averages127 AS
    SELECT problem_id, algorithm, avg(rel_residual) AS avg_rel_res
        FROM Solvings
            WHERE machine = 'i10pc127.iti.kit.edu'
        GROUP BY problem_id, algorithm;

.output 'residuals-120.dat'

SELECT llt.avg_rel_res, ldlt.avg_rel_res
    FROM Averages120 AS llt JOIN Averages120 AS ldlt
        ON llt.problem_id = ldlt.problem_id
    WHERE llt.algorithm = 'Block-LLT' AND ldlt.algorithm = 'Block-LDLT';

.output 'residuals-127.dat'

SELECT llt.avg_rel_res, ldlt.avg_rel_res
    FROM Averages127 AS llt JOIN Averages127 AS ldlt
        ON llt.problem_id = ldlt.problem_id
    WHERE llt.algorithm = 'Block-LLT' AND ldlt.algorithm = 'Block-LDLT';
