--- -*- coding:utf-8; mode:sql; eval:(sql-highlight-sqlite-keywords); -*-


--- Copyright (c) 2014 Moritz Klammler
---
--- Permission is  hereby granted, free  of charge,  to any person  obtaining a
--- copy of this software and  associated documentation files (the "Software"),
--- to deal in  the Software without restriction,  including without limitation
--- the rights  to use, copy,  modify, merge, publish,  distribute, sublicense,
--- and/or  sell copies  of the  Software, and  to permit  persons to  whom the
--- Software is furnished to do so, subject to the following conditions:
---
--- The above copyright notice and this  permission notice shall be included in
--- all copies or substantial portions of the Software.
---
--- THE SOFTWARE IS PROVIDED "AS IS",  WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
--- IMPLIED, INCLUDING  BUT NOT LIMITED  TO THE WARRANTIES  OF MERCHANTABILITY,
--- FITNESS FOR  A PARTICULAR PURPOSE  AND NONINFRINGEMENT.  IN NO  EVENT SHALL
--- THE AUTHORS OR COPYRIGHT HOLDERS BE  LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
--- LIABILITY, WHETHER  IN AN  ACTION OF CONTRACT,  TORT OR  OTHERWISE, ARISING
--- FROM,  OUT OF  OR IN  CONNECTION  WITH THE  SOFTWARE  OR THE  USE OR  OTHER
--- DEALINGS IN THE SOFTWARE.


.mode tabs
.headers off

CREATE TEMPORARY VIEW Tests AS
    SELECT problem_id, non_zero_count, flops, seconds, algorithm, cpus
        FROM Solvings AS s JOIN Problems AS p ON s.problem_id = p.id
        WHERE machine = 'i10pc127.iti.kit.edu' AND parallel_level = 3;

.output 'solve-127-p3.dat'

SELECT llt.non_zero_count, llt.cpus, llt.flops, llt.seconds, ldlt.flops, ldlt.seconds
    FROM Tests AS llt JOIN Tests AS ldlt
        ON llt.problem_id = ldlt.problem_id
    WHERE llt.algorithm = 'Block-LLT' AND ldlt.algorithm = 'Block-LDLT'
        AND llt.non_zero_count = ldlt.non_zero_count  -- sanity check
        AND llt.cpus = ldlt.cpus;  -- sanity check
